Debian Bug report logs - #706100
initramfs-tools: adequate reports broken symlink in initramfs-tools package

version graph

Package: live-tools; Maintainer for live-tools is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-tools is src:live-tools.

Reported by: shirish शिरीष <shirishag75@gmail.com>

Date: Wed, 24 Apr 2013 16:45:02 UTC

Severity: normal

Found in version live-tools/3.0.19-1

Fixed in version live-tools/3.0.20-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#706100; Package initramfs-tools. (Wed, 24 Apr 2013 16:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to shirish शिरीष <shirishag75@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Wed, 24 Apr 2013 16:45:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: shirish शिरीष <shirishag75@gmail.com>
To: debian-bts <submit@bugs.debian.org>
Subject: initramfs-tools: adequate reports broken symlink in initramfs-tools package
Date: Wed, 24 Apr 2013 22:11:29 +0530
Package: initramfs-tools
Version: 0.111
Severity: normal

Dear Maintainer,
I updated initramfs-tools when adequate[1] reported a broken symlink.

adequate found packaging bugs
-----------------------------

initramfs-tools: broken-symlink
/usr/share/man/man8/update-initramfs.8.gz ->
../man7/live-update-initramfs.7.gz

On further investigation found that to be true :-

$ man update-initramfs
man: warning: /usr/share/man/man8/update-initramfs.8.gz is a dangling symlink


$ ll /usr/share/man/man8/update-initramfs.8.gz
lrwxrwxrwx 1 root root 34 2013-02-27 11:14
/usr/share/man/man8/update-initramfs.8.gz ->
../man7/live-update-initramfs.7.gz

$ ll /usr/share/man/man7/live-
live-boot.7.gz   live-tools.7.gz

Please fix it.

1. http://jwilk.net/software/adequate

-- Package-specific info:
-- initramfs sizes
-rw-r--r-- 1 root root 11M Apr  5 12:01 /boot/initrd.img-3.2.0-4-amd64
-rw-r--r-- 1 root root 12M Apr 24 20:47 /boot/initrd.img-3.8-trunk-amd64
-- /proc/cmdline
BOOT_IMAGE=/boot/vmlinuz-3.8-trunk-amd64
root=UUID=f7b1d907-e6d6-414d-93e0-a45f29099e60 ro
acpi_enforce_resources=lax quiet

-- resume
RESUME=UUID=acd37e11-7520-4b59-86de-9cc3c316719b
-- /proc/filesystems
	btrfs
	ext4
	fuseblk

-- lsmod
Module                  Size  Used by
nfnetlink_log          13134  0
nfnetlink              12945  1 nfnetlink_log
ebtable_nat            12580  0
ebtables               26254  1 ebtable_nat
cpufreq_powersave      12454  0
cpufreq_stats          12866  0
cpufreq_userspace      12576  0
cpufreq_conservative    13225  0
parport_pc             22409  0
ppdev                  12763  0
lp                     17160  0
parport                31901  3 lp,ppdev,parport_pc
bnep                   17574  2
rfcomm                 33696  0
bluetooth             164784  10 bnep,rfcomm
rfkill                 19166  2 bluetooth
binfmt_misc            12957  1
xt_hl                  12449  6
ip6t_rt                12499  3
nf_conntrack_ipv6      13649  7
nf_defrag_ipv6         12885  1 nf_conntrack_ipv6
ipt_REJECT             12502  1
xt_LOG                 17050  9
xt_limit               12638  12
xt_tcpudp              12570  26
xt_addrtype            12557  4
nf_conntrack_ipv4      18549  7
nf_defrag_ipv4         12483  1 nf_conntrack_ipv4
xt_state               12503  14
ip6table_filter        12540  1
ip6_tables             22011  1 ip6table_filter
nf_conntrack_netbios_ns    12445  0
nf_conntrack_broadcast    12365  1 nf_conntrack_netbios_ns
nf_nat_ftp             12460  0
nf_nat                 18377  1 nf_nat_ftp
nf_conntrack_ftp       12651  1 nf_nat_ftp
nf_conntrack           58420  8
nf_nat_ftp,nf_conntrack_netbios_ns,nf_nat,xt_state,nf_conntrack_broadcast,nf_conntrack_ftp,nf_conntrack_ipv4,nf_conntrack_ipv6
iptable_filter         12536  1
ip_tables              21997  1 iptable_filter
x_tables               19041  13
ip6table_filter,xt_hl,ip_tables,xt_tcpudp,xt_limit,xt_state,xt_LOG,iptable_filter,ebtables,ip6t_rt,ipt_REJECT,ip6_tables,xt_addrtype
fuse                   62705  1
it87                   30261  0
hwmon_vid              12430  1 it87
loop                   22908  0
snd_hda_codec_via      41347  1
snd_hda_intel          31301  5
snd_hda_codec          88454  2 snd_hda_codec_via,snd_hda_intel
coretemp               12854  0
kvm_intel             118327  0
snd_hwdep              13189  1 snd_hda_codec
snd_pcm_oss            37079  0
snd_mixer_oss          18035  2 snd_pcm_oss
kvm                   319005  1 kvm_intel
snd_pcm                68523  3 snd_pcm_oss,snd_hda_codec,snd_hda_intel
i915                  472367  2
snd_page_alloc         13018  2 snd_pcm,snd_hda_intel
video                  17686  1 i915
snd_seq_midi           12848  0
snd_seq_midi_event     13316  1 snd_seq_midi
snd_rawmidi            23034  1 snd_seq_midi
drm_kms_helper         31890  1 i915
drm                   206364  3 i915,drm_kms_helper
snd_seq                45225  2 snd_seq_midi_event,snd_seq_midi
microcode              30456  0
lpc_ich                16757  0
mfd_core               12601  1 lpc_ich
snd_seq_device         13176  3 snd_seq,snd_rawmidi,snd_seq_midi
snd_timer              22812  2 snd_pcm,snd_seq
i2c_algo_bit           12841  1 i915
snd                    53077  19
snd_pcm_oss,snd_hwdep,snd_timer,snd_hda_codec_via,snd_pcm,snd_seq,snd_rawmidi,snd_hda_codec,snd_hda_intel,snd_seq_device,snd_mixer_oss
acpi_cpufreq           13354  0
mperf                  12453  1 acpi_cpufreq
pcspkr                 12632  0
i2c_i801               17045  0
button                 12944  1 i915
i2c_core               24041  5 drm,i915,i2c_i801,drm_kms_helper,i2c_algo_bit
soundcore              13026  2 snd
processor              28362  1 acpi_cpufreq
psmouse                69190  0
evdev                  17650  12
serio_raw              12940  0
rng_core               12687  0
thermal_sys            22833  2 video,processor
ext4                  396099  2
crc16                  12343  2 ext4,bluetooth
jbd2                   71860  1 ext4
mbcache                13114  1 ext4
btrfs                 632553  0
zlib_deflate           25638  1 btrfs
crc32c                 12656  1
libcrc32c              12426  1 btrfs
dm_mod                 64083  0
sg                     26095  0
sd_mod                 40549  4
sr_mod                 21945  0
cdrom                  35212  1 sr_mod
crc_t10dif             12348  1 sd_mod
ata_generic            12490  0
ata_piix               29671  4
ehci_pci               12472  0
uhci_hcd               26976  0
ehci_hcd               40464  1 ehci_pci
r8169                  52743  0
libata                141644  2 ata_generic,ata_piix
mii                    12675  1 r8169
scsi_mod              162472  4 sg,libata,sd_mod,sr_mod
usbcore               134291  3 uhci_hcd,ehci_hcd,ehci_pci
usb_common             12354  1 usbcore

-- /etc/initramfs-tools/modules

-- /etc/kernel-img.conf
# Kernel image management overrides
# See kernel-img.conf(5) for details
do_symlinks = yes
do_bootloader = no
do_initrd = yes
link_in_boot = no

-- /etc/initramfs-tools/initramfs.conf
MODULES=most
BUSYBOX=y
KEYMAP=n
COMPRESS=gzip
DEVICE=
NFSROOT=auto

-- /etc/initramfs-tools/update-initramfs.conf
update_initramfs=yes
backup_initramfs=no

-- mkinitramfs hooks
/etc/initramfs-tools/hooks/:

/usr/share/initramfs-tools/hooks:
brltty
btrfs
busybox
dmsetup
fuse
keymap
klibc
kmod
lvm2
ntfs_3g
thermal
udev


-- System Information:
Debian Release: 7.0
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable'), (10, 'unstable'), (1,
'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.8-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_IN.utf8, LC_CTYPE=en_IN.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages initramfs-tools depends on:
ii  cpio               2.11+dfsg-0.1
ii  klibc-utils        2.0.1-3.1
ii  kmod               9-2
ii  module-init-tools  9-2
ii  udev               175-7.1

Versions of packages initramfs-tools recommends:
ii  busybox  1:1.20.0-7

Versions of packages initramfs-tools suggests:
ii  bash-completion  1:2.0-1

-- no debconf information

-- 
          Regards,
          Shirish Agarwal  शिरीष अग्रवाल
  My quotes in this email licensed under CC 3.0
http://creativecommons.org/licenses/by-nc/3.0/
http://flossexperiences.wordpress.com
065C 6D79 A68C E7EA 52B3  8D70 950D 53FB 729A 8B17



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#706100; Package initramfs-tools. (Wed, 24 Apr 2013 17:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Wed, 24 Apr 2013 17:24:04 GMT) Full text and rfc822 format available.

Message #10 received at 706100@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: shirish शिरीष <shirishag75@gmail.com>, 706100@bugs.debian.org
Subject: Re: Bug#706100: initramfs-tools: adequate reports broken symlink in initramfs-tools package
Date: Wed, 24 Apr 2013 18:21:43 +0100
clone -1 -2
reassign -1 live-tools 3.0.19-1
reassign -2 adequate
retitle -2 adequate reports bug in the wrong package in case of diversion

On Wed, Apr 24, 2013 at 10:11:29PM +0530, shirish शिरीष wrote:
> Package: initramfs-tools
> Version: 0.111
> Severity: normal
> 
> Dear Maintainer,
> I updated initramfs-tools when adequate[1] reported a broken symlink.
> 
> adequate found packaging bugs
> -----------------------------
> 
> initramfs-tools: broken-symlink
> /usr/share/man/man8/update-initramfs.8.gz ->
> ../man7/live-update-initramfs.7.gz
[...]

This damage is caused by live-tools, not initramfs-tools.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus



Bug 706100 cloned as bug 706107 Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 24 Apr 2013 18:51:14 GMT) Full text and rfc822 format available.

Bug reassigned from package 'initramfs-tools' to 'live-tools'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 24 Apr 2013 18:51:15 GMT) Full text and rfc822 format available.

No longer marked as found in versions initramfs-tools/0.111. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 24 Apr 2013 18:51:16 GMT) Full text and rfc822 format available.

Marked as found in versions live-tools/3.0.19-1. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 24 Apr 2013 18:51:17 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 25 Apr 2013 11:03:11 GMT) Full text and rfc822 format available.

Notification sent to shirish शिरीष <shirishag75@gmail.com>:
Bug acknowledged by developer. (Thu, 25 Apr 2013 11:03:11 GMT) Full text and rfc822 format available.

Message #23 received at 706100-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 706100-close@bugs.debian.org
Subject: Bug#706100: fixed in live-tools 3.0.20-1
Date: Thu, 25 Apr 2013 11:02:44 +0000
Source: live-tools
Source-Version: 3.0.20-1

We believe that the bug you reported is fixed in the latest version of
live-tools, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 706100@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 25 Apr 2013 12:53:45 +0200
Source: live-tools
Binary: live-tools
Architecture: source all
Version: 3.0.20-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-tools - Live System Support Scripts
Closes: 706100
Changes: 
 live-tools (3.0.20-1) unstable; urgency=low
 .
   * Detect being run in a live system being built on a live system by
     looking for the /.live-build handle provided by live-build in live-
     update-initramfs.
   * Correcting symlink to point to the correct section for live-update-
     initramfs manpage (Closes: #706100).
Checksums-Sha1: 
 94d8916014713e57c6b2a90e6309a02a335ec846 1266 live-tools_3.0.20-1.dsc
 380483b71f45ac3fba377c1456ec7d9b7de9fefa 26504 live-tools_3.0.20.orig.tar.xz
 6e994d85d1c8f109f9e02ff1113815369f6c579f 5304 live-tools_3.0.20-1.debian.tar.xz
 1d1224b419fef6c98b33658cfc4502d285b0706a 27196 live-tools_3.0.20-1_all.deb
Checksums-Sha256: 
 4ff03457808ccb0de2dd983650150eb03290257e99b250e4a925c1710676f917 1266 live-tools_3.0.20-1.dsc
 32bca88d52f80b26909f12dbe556cad25b9a66e9705092e4451539c2b62ec835 26504 live-tools_3.0.20.orig.tar.xz
 2a4b6a46f70f86ad1a0a565a46d052b283c0c66527db5c95d0f6e3cd6f4b021f 5304 live-tools_3.0.20-1.debian.tar.xz
 77f97744828c3b92df4c957c32635a8d905435e07e13873d54b504bb5fe102fe 27196 live-tools_3.0.20-1_all.deb
Files: 
 c6728fe1d5a48adbc3b7e3be919f17e1 1266 misc optional live-tools_3.0.20-1.dsc
 115264b9e69a71b5b2f4c743a5686868 26504 misc optional live-tools_3.0.20.orig.tar.xz
 bffc9366cbbf4723700fb541213e3ff8 5304 misc optional live-tools_3.0.20-1.debian.tar.xz
 9243fb687e31c4d3f0a2cc5c50b36bde 27196 misc optional live-tools_3.0.20-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlF5C48ACgkQ+C5cwEsrK5488QCeIU3rP2hLKVnDo39YS+dKJJoH
9cYAn2E4Kt3SuoWlvWLA6s3wqAQKdiUT
=7iyB
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 25 May 2013 07:26:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:21:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.